Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hornetq.api.core.client
Interface ClientSession.BindingQuery

Enclosing interface:
  ClientSession

    public static interface ClientSession.BindingQuery

Information returned by a binding query

See Also:
  `ClientSession.bindingQuery(SimpleString)`

Method Summary
`List<SimpleString>` | `getQueueNames()` Returns the names of the queues bound to the binding.
`boolean` | `isExists()` Returns `true` if the binding exists, `false` else.

Method Detail

### isExists

    boolean isExists()

  Returns `true` if the binding exists, `false` else.

### getQueueNames

    List<SimpleString> getQueueNames()

  Returns the names of the queues bound to the binding.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Red Hat Inc. All Rights Reserved.